#!/bin/python3
'''
    SPDX-FileCopyrightText: 2025 Agata Cacko <cacko.azh@gmail.com>

    This file is part of Fast Sketch Cleanup Plugin for Krita

    SPDX-License-Identifier: GPL-3.0-or-later
'''


from PyQt5.QtWidgets import QDialog, QHBoxLayout, QSlider, QSpinBox, QVBoxLayout, QPushButton, QToolButton, QCheckBox, QFileDialog, QLabel, QTextEdit, QLineEdit, QWidget
from PyQt5.QtWidgets import QRadioButton, QMessageBox, QGroupBox, QFrame, QComboBox, QProgressBar, QDoubleSpinBox
from PyQt5.QtGui import QImage, QPixmap
from PyQt5.QtCore import QBuffer, QByteArray, Qt, pyqtSignal, QCoreApplication



class PreviewImageLabel(QLabel):

	labelClicked : pyqtSignal = pyqtSignal()

	def __init__(self, parent = None):
		super().__init__(parent)


	def mousePressEvent(self, ev):
		self.labelClicked.emit()
		return super().mousePressEvent(ev)

